Skip to main content

Get concession by ID

GEThttps://api.propexo.com/v1/concessions/:concession_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

concession_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the concession

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    total_amount_in_centsinteger | nullnullablerequired

    The total amount of the concession

    start_datestring | nullnullablerequired

    The start date associated with the concession

    end_datestring | nullnullablerequired

    The end date associated with the concession

    is_activeboolean | nullnullablerequired

    Whether the concession is active

    descriptionstring | nullnullablerequired

    Description of the concession

    is_one_timeboolean | nullnullablerequired

    Whether or not the concession occurs a single time

    is_recurringboolean | nullnullablerequired

    Whether or not the concession is recurring

    monthly_fixed_amount_in_centsinteger | nullnullablerequired

    The monthly fixed amount of the concession in cents

    monthly_percentage_amountinteger | nullnullablerequired

    The monthly percentage amount of the concession. This is rounded to the nearest percent

    monthly_percentage_rawstring | nullnullablerequired

    The raw monthly percentage amount of the concession as a string, preserving decimal precision

    one_time_fixed_amount_in_centsinteger | nullnullablerequired

    The one time fixed amount of the concession in cents

    one_time_percentage_amountinteger | nullnullablerequired

    The one time percentage amount of the concession. This is rounded to the nearest percent

    one_time_percentage_rawstring | nullnullablerequired

    The raw one time percentage amount of the concession as a string, preserving decimal precision

    number_of_occurrencesinteger | nullnullablerequired

    The number of occurrences of the concession

    fixed_amount_in_centsinteger | nullnullablerequired

    The fixed amount of the concession in cents

    percentage_amountinteger | nullnullablerequired

    The percentage amount of the concession. This is rounded to the nearest percent

    percentage_rawstring | nullnullablerequired

    The raw percentage amount of the concession as a string, preserving decimal precision

    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    lease_term_rawstring | nullnullablerequired

    The raw value for the lease term

    concession_formula_rawstring | nullnullablerequired

    The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/concessions/:concession_id
curl https://api.propexo.com/v1/concessions/:concession_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_unit_id": "string",
"x_floor_plan_id": "string",
"total_amount_in_cents": 0,
"start_date": "string",
"end_date": "string",
"is_active": true,
"description": "string",
"is_one_time": true,
"is_recurring": true,
"monthly_fixed_amount_in_cents": 0,
"monthly_percentage_amount": 0,
"monthly_percentage_raw": "string",
"one_time_fixed_amount_in_cents": 0,
"one_time_percentage_amount": 0,
"one_time_percentage_raw": "string",
"number_of_occurrences": 0,
"fixed_amount_in_cents": 0,
"percentage_amount": 0,
"percentage_raw": "string",
"lease_term_in_months": 0,
"lease_term_raw": "string",
"concession_formula_raw": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string"
}
}